#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './scubaconfig.ui'
**
** Created: Sat Sep 29 10:14:29 2007
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "scubaconfig.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ScubaConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ScubaConfig::ScubaConfig( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ScubaConfig" );
    ScubaConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "ScubaConfigLayout"); 

    _readMatrices = new QCheckBox( this, "_readMatrices" );

    ScubaConfigLayout->addWidget( _readMatrices, 0, 0 );
    spacer4_2 = new QSpacerItem( 270, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ScubaConfigLayout->addItem( spacer4_2, 0, 1 );
    spacer4_2_2 = new QSpacerItem( 270, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    ScubaConfigLayout->addItem( spacer4_2_2, 1, 1 );
    spacer1 = new QSpacerItem( 320, 290, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ScubaConfigLayout->addMultiCell( spacer1, 2, 2, 0, 1 );

    _validateChecksum = new QCheckBox( this, "_validateChecksum" );

    ScubaConfigLayout->addWidget( _validateChecksum, 1, 0 );
    languageChange();
    resize( QSize(497, 397).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ScubaConfig::~ScubaConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ScubaConfig::languageChange()
{
    setCaption( tr2i18n( "ScubaConfig" ) );
    _readMatrices->setText( tr2i18n( "Generate &matrices from data" ) );
    _readMatrices->setAccel( QKeySequence( tr2i18n( "Alt+M" ) ) );
    _validateChecksum->setText( tr2i18n( "&Validate checksum" ) );
    _validateChecksum->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
}

#include "scubaconfig.moc"
